module AlisSdkRuby
  # @api private
  module ClientApi

    include Seahorse::Model

    ArrayOfArticleInfo = Shapes::ListShape.new(name: 'ArrayOfArticleInfo')
    ArrayOfNotification = Shapes::ListShape.new(name: 'ArrayOfNotification')
    ArticleContent = Shapes::StructureShape.new(name: 'ArticleContent')
    ArticleImage = Shapes::StructureShape.new(name: 'ArticleImage')
    ArticleInfo = Shapes::StructureShape.new(name: 'ArticleInfo')
    GetArticlesArticle_idAlistokenRequest = Shapes::StructureShape.new(name: 'GetArticlesArticle_idAlistokenRequest')
    GetArticlesArticle_idAlistokenResponse = Shapes::StructureShape.new(name: 'GetArticlesArticle_idAlistokenResponse')
    GetArticlesArticle_idLikesRequest = Shapes::StructureShape.new(name: 'GetArticlesArticle_idLikesRequest')
    GetArticlesArticle_idLikesResponse = Shapes::StructureShape.new(name: 'GetArticlesArticle_idLikesResponse')
    GetArticlesArticle_idRequest = Shapes::StructureShape.new(name: 'GetArticlesArticle_idRequest')
    GetArticlesArticle_idResponse = Shapes::StructureShape.new(name: 'GetArticlesArticle_idResponse')
    GetArticlesPopularRequest = Shapes::StructureShape.new(name: 'GetArticlesPopularRequest')
    GetArticlesPopularResponse = Shapes::StructureShape.new(name: 'GetArticlesPopularResponse')
    GetArticlesRecentRequest = Shapes::StructureShape.new(name: 'GetArticlesRecentRequest')
    GetArticlesRecentResponse = Shapes::StructureShape.new(name: 'GetArticlesRecentResponse')
    GetMeArticlesArticle_idDraftsRequest = Shapes::StructureShape.new(name: 'GetMeArticlesArticle_idDraftsRequest')
    GetMeArticlesArticle_idDraftsResponse = Shapes::StructureShape.new(name: 'GetMeArticlesArticle_idDraftsResponse')
    GetMeArticlesArticle_idLikeRequest = Shapes::StructureShape.new(name: 'GetMeArticlesArticle_idLikeRequest')
    GetMeArticlesArticle_idLikeResponse = Shapes::StructureShape.new(name: 'GetMeArticlesArticle_idLikeResponse')
    GetMeArticlesArticle_idPublicEditRequest = Shapes::StructureShape.new(name: 'GetMeArticlesArticle_idPublicEditRequest')
    GetMeArticlesArticle_idPublicEditResponse = Shapes::StructureShape.new(name: 'GetMeArticlesArticle_idPublicEditResponse')
    GetMeArticlesArticle_idPublicRequest = Shapes::StructureShape.new(name: 'GetMeArticlesArticle_idPublicRequest')
    GetMeArticlesArticle_idPublicResponse = Shapes::StructureShape.new(name: 'GetMeArticlesArticle_idPublicResponse')
    GetMeArticlesDraftsRequest = Shapes::StructureShape.new(name: 'GetMeArticlesDraftsRequest')
    GetMeArticlesDraftsResponse = Shapes::StructureShape.new(name: 'GetMeArticlesDraftsResponse')
    GetMeArticlesPublicRequest = Shapes::StructureShape.new(name: 'GetMeArticlesPublicRequest')
    GetMeArticlesPublicResponse = Shapes::StructureShape.new(name: 'GetMeArticlesPublicResponse')
    GetMeInfoRequest = Shapes::StructureShape.new(name: 'GetMeInfoRequest')
    GetMeInfoResponse = Shapes::StructureShape.new(name: 'GetMeInfoResponse')
    GetMeNotificationsRequest = Shapes::StructureShape.new(name: 'GetMeNotificationsRequest')
    GetMeNotificationsResponse = Shapes::StructureShape.new(name: 'GetMeNotificationsResponse')
    GetMeUnread_notification_managersRequest = Shapes::StructureShape.new(name: 'GetMeUnread_notification_managersRequest')
    GetMeUnread_notification_managersResponse = Shapes::StructureShape.new(name: 'GetMeUnread_notification_managersResponse')
    GetMeWalletBalanceRequest = Shapes::StructureShape.new(name: 'GetMeWalletBalanceRequest')
    GetMeWalletBalanceResponse = Shapes::StructureShape.new(name: 'GetMeWalletBalanceResponse')
    GetUsersUser_idArticlesPublicRequest = Shapes::StructureShape.new(name: 'GetUsersUser_idArticlesPublicRequest')
    GetUsersUser_idArticlesPublicResponse = Shapes::StructureShape.new(name: 'GetUsersUser_idArticlesPublicResponse')
    GetUsersUser_idInfoRequest = Shapes::StructureShape.new(name: 'GetUsersUser_idInfoRequest')
    GetUsersUser_idInfoResponse = Shapes::StructureShape.new(name: 'GetUsersUser_idInfoResponse')
    MODEL69304a = Shapes::StructureShape.new(name: 'MODEL69304a')
    MODEL84cbde = Shapes::StructureShape.new(name: 'MODEL84cbde')
    MODELa08eaf = Shapes::StructureShape.new(name: 'MODELa08eaf')
    MODELc40ebe = Shapes::StructureShape.new(name: 'MODELc40ebe')
    MODELcde73d = Shapes::StructureShape.new(name: 'MODELcde73d')
    MODELd06bfe = Shapes::StructureShape.new(name: 'MODELd06bfe')
    MODELd25993 = Shapes::StructureShape.new(name: 'MODELd25993')
    MeArticlesDraftsCreate = Shapes::StructureShape.new(name: 'MeArticlesDraftsCreate')
    MeInfoIcon = Shapes::StructureShape.new(name: 'MeInfoIcon')
    MeInfoUpdate = Shapes::StructureShape.new(name: 'MeInfoUpdate')
    MeWalletBalance = Shapes::StructureShape.new(name: 'MeWalletBalance')
    Notification = Shapes::StructureShape.new(name: 'Notification')
    PostMeArticlesArticle_idFraudRequest = Shapes::StructureShape.new(name: 'PostMeArticlesArticle_idFraudRequest')
    PostMeArticlesArticle_idFraudResponse = Shapes::StructureShape.new(name: 'PostMeArticlesArticle_idFraudResponse')
    PostMeArticlesArticle_idImagesRequest = Shapes::StructureShape.new(name: 'PostMeArticlesArticle_idImagesRequest')
    PostMeArticlesArticle_idImagesResponse = Shapes::StructureShape.new(name: 'PostMeArticlesArticle_idImagesResponse')
    PostMeArticlesArticle_idLikeRequest = Shapes::StructureShape.new(name: 'PostMeArticlesArticle_idLikeRequest')
    PostMeArticlesArticle_idLikeResponse = Shapes::StructureShape.new(name: 'PostMeArticlesArticle_idLikeResponse')
    PostMeArticlesArticle_idPvRequest = Shapes::StructureShape.new(name: 'PostMeArticlesArticle_idPvRequest')
    PostMeArticlesArticle_idPvResponse = Shapes::StructureShape.new(name: 'PostMeArticlesArticle_idPvResponse')
    PostMeArticlesDraftsRequest = Shapes::StructureShape.new(name: 'PostMeArticlesDraftsRequest')
    PostMeArticlesDraftsResponse = Shapes::StructureShape.new(name: 'PostMeArticlesDraftsResponse')
    PostMeInfoIconRequest = Shapes::StructureShape.new(name: 'PostMeInfoIconRequest')
    PostMeInfoIconResponse = Shapes::StructureShape.new(name: 'PostMeInfoIconResponse')
    PutMeArticlesArticle_idDraftsPublishRequest = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idDraftsPublishRequest')
    PutMeArticlesArticle_idDraftsPublishResponse = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idDraftsPublishResponse')
    PutMeArticlesArticle_idDraftsRequest = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idDraftsRequest')
    PutMeArticlesArticle_idDraftsResponse = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idDraftsResponse')
    PutMeArticlesArticle_idPublicRepublishRequest = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idPublicRepublishRequest')
    PutMeArticlesArticle_idPublicRepublishResponse = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idPublicRepublishResponse')
    PutMeArticlesArticle_idPublicRequest = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idPublicRequest')
    PutMeArticlesArticle_idPublicResponse = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idPublicResponse')
    PutMeArticlesArticle_idPublicUnpublishRequest = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idPublicUnpublishRequest')
    PutMeArticlesArticle_idPublicUnpublishResponse = Shapes::StructureShape.new(name: 'PutMeArticlesArticle_idPublicUnpublishResponse')
    PutMeInfoRequest = Shapes::StructureShape.new(name: 'PutMeInfoRequest')
    PutMeInfoResponse = Shapes::StructureShape.new(name: 'PutMeInfoResponse')
    PutMeUnread_notification_managersRequest = Shapes::StructureShape.new(name: 'PutMeUnread_notification_managersRequest')
    PutMeUnread_notification_managersResponse = Shapes::StructureShape.new(name: 'PutMeUnread_notification_managersResponse')
    UpdateArticle = Shapes::StructureShape.new(name: 'UpdateArticle')
    UserInfo = Shapes::StructureShape.new(name: 'UserInfo')
    boolean = Shapes::BooleanShape.new(name: 'boolean')
    double = Shapes::FloatShape.new(name: 'double')
    integer = Shapes::IntegerShape.new(name: 'integer')
    long = Shapes::IntegerShape.new(name: 'long')
    string = Shapes::StringShape.new(name: 'string')
    timestampIso8601 = Shapes::TimestampShape.new(name: 'timestampIso8601', timestampFormat: "iso8601")
    timestampUnix = Shapes::TimestampShape.new(name: 'timestampUnix', timestampFormat: "iso8601")

    ArrayOfArticleInfo.member = Shapes::ShapeRef.new(shape: ArticleInfo)

    ArrayOfNotification.member = Shapes::ShapeRef.new(shape: Notification)

    ArticleContent.add_member(:article_id, Shapes::ShapeRef.new(shape: string, location_name: "article_id"))
    ArticleContent.add_member(:body, Shapes::ShapeRef.new(shape: string, location_name: "body"))
    ArticleContent.add_member(:created_at, Shapes::ShapeRef.new(shape: integer, location_name: "created_at"))
    ArticleContent.add_member(:eye_catch_url, Shapes::ShapeRef.new(shape: string, location_name: "eye_catch_url"))
    ArticleContent.add_member(:overview, Shapes::ShapeRef.new(shape: string, location_name: "overview"))
    ArticleContent.add_member(:title, Shapes::ShapeRef.new(shape: string, location_name: "title"))
    ArticleContent.add_member(:user_id, Shapes::ShapeRef.new(shape: string, location_name: "user_id"))
    ArticleContent.struct_class = Types::ArticleContent

    ArticleImage.add_member(:article_image, Shapes::ShapeRef.new(shape: string, location_name: "article_image"))
    ArticleImage.struct_class = Types::ArticleImage

    ArticleInfo.add_member(:article_id, Shapes::ShapeRef.new(shape: string, location_name: "article_id"))
    ArticleInfo.add_member(:created_at, Shapes::ShapeRef.new(shape: integer, location_name: "created_at"))
    ArticleInfo.add_member(:eye_catch_url, Shapes::ShapeRef.new(shape: string, location_name: "eye_catch_url"))
    ArticleInfo.add_member(:overview, Shapes::ShapeRef.new(shape: string, location_name: "overview"))
    ArticleInfo.add_member(:title, Shapes::ShapeRef.new(shape: string, location_name: "title"))
    ArticleInfo.add_member(:user_id, Shapes::ShapeRef.new(shape: string, location_name: "user_id"))
    ArticleInfo.struct_class = Types::ArticleInfo

    GetArticlesArticle_idAlistokenRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    GetArticlesArticle_idAlistokenRequest.struct_class = Types::GetArticlesArticle_idAlistokenRequest

    GetArticlesArticle_idAlistokenResponse.add_member(:model69304a, Shapes::ShapeRef.new(shape: MODEL69304a, required: true, location_name: "MODEL69304a"))
    GetArticlesArticle_idAlistokenResponse.struct_class = Types::GetArticlesArticle_idAlistokenResponse
    GetArticlesArticle_idAlistokenResponse[:payload] = :model69304a
    GetArticlesArticle_idAlistokenResponse[:payload_member] = GetArticlesArticle_idAlistokenResponse.member(:model69304a)

    GetArticlesArticle_idLikesRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    GetArticlesArticle_idLikesRequest.struct_class = Types::GetArticlesArticle_idLikesRequest

    GetArticlesArticle_idLikesResponse.add_member(:mode_ld_25993, Shapes::ShapeRef.new(shape: MODELd25993, required: true, location_name: "MODELd25993"))
    GetArticlesArticle_idLikesResponse.struct_class = Types::GetArticlesArticle_idLikesResponse
    GetArticlesArticle_idLikesResponse[:payload] = :mode_ld_25993
    GetArticlesArticle_idLikesResponse[:payload_member] = GetArticlesArticle_idLikesResponse.member(:mode_ld_25993)

    GetArticlesArticle_idRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    GetArticlesArticle_idRequest.struct_class = Types::GetArticlesArticle_idRequest

    GetArticlesArticle_idResponse.add_member(:article_content, Shapes::ShapeRef.new(shape: ArticleContent, required: true, location_name: "ArticleContent"))
    GetArticlesArticle_idResponse.struct_class = Types::GetArticlesArticle_idResponse
    GetArticlesArticle_idResponse[:payload] = :article_content
    GetArticlesArticle_idResponse[:payload_member] = GetArticlesArticle_idResponse.member(:article_content)

    GetArticlesPopularRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "article_id"))
    GetArticlesPopularRequest.add_member(:limit, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "limit"))
    GetArticlesPopularRequest.add_member(:score, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "score"))
    GetArticlesPopularRequest.struct_class = Types::GetArticlesPopularRequest

    GetArticlesPopularResponse.add_member(:array_of_article_info, Shapes::ShapeRef.new(shape: ArrayOfArticleInfo, required: true, location_name: "ArrayOfArticleInfo"))
    GetArticlesPopularResponse.struct_class = Types::GetArticlesPopularResponse
    GetArticlesPopularResponse[:payload] = :array_of_article_info
    GetArticlesPopularResponse[:payload_member] = GetArticlesPopularResponse.member(:array_of_article_info)

    GetArticlesRecentRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "article_id"))
    GetArticlesRecentRequest.add_member(:limit, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "limit"))
    GetArticlesRecentRequest.add_member(:sort_key, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "sort_key"))
    GetArticlesRecentRequest.struct_class = Types::GetArticlesRecentRequest

    GetArticlesRecentResponse.add_member(:array_of_article_info, Shapes::ShapeRef.new(shape: ArrayOfArticleInfo, required: true, location_name: "ArrayOfArticleInfo"))
    GetArticlesRecentResponse.struct_class = Types::GetArticlesRecentResponse
    GetArticlesRecentResponse[:payload] = :array_of_article_info
    GetArticlesRecentResponse[:payload_member] = GetArticlesRecentResponse.member(:array_of_article_info)

    GetMeArticlesArticle_idDraftsRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    GetMeArticlesArticle_idDraftsRequest.struct_class = Types::GetMeArticlesArticle_idDraftsRequest

    GetMeArticlesArticle_idDraftsResponse.add_member(:article_content, Shapes::ShapeRef.new(shape: ArticleContent, required: true, location_name: "ArticleContent"))
    GetMeArticlesArticle_idDraftsResponse.struct_class = Types::GetMeArticlesArticle_idDraftsResponse
    GetMeArticlesArticle_idDraftsResponse[:payload] = :article_content
    GetMeArticlesArticle_idDraftsResponse[:payload_member] = GetMeArticlesArticle_idDraftsResponse.member(:article_content)

    GetMeArticlesArticle_idLikeRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    GetMeArticlesArticle_idLikeRequest.struct_class = Types::GetMeArticlesArticle_idLikeRequest

    GetMeArticlesArticle_idLikeResponse.add_member(:model84cbde, Shapes::ShapeRef.new(shape: MODEL84cbde, required: true, location_name: "MODEL84cbde"))
    GetMeArticlesArticle_idLikeResponse.struct_class = Types::GetMeArticlesArticle_idLikeResponse
    GetMeArticlesArticle_idLikeResponse[:payload] = :model84cbde
    GetMeArticlesArticle_idLikeResponse[:payload_member] = GetMeArticlesArticle_idLikeResponse.member(:model84cbde)

    GetMeArticlesArticle_idPublicEditRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    GetMeArticlesArticle_idPublicEditRequest.struct_class = Types::GetMeArticlesArticle_idPublicEditRequest

    GetMeArticlesArticle_idPublicEditResponse.add_member(:article_content, Shapes::ShapeRef.new(shape: ArticleContent, required: true, location_name: "ArticleContent"))
    GetMeArticlesArticle_idPublicEditResponse.struct_class = Types::GetMeArticlesArticle_idPublicEditResponse
    GetMeArticlesArticle_idPublicEditResponse[:payload] = :article_content
    GetMeArticlesArticle_idPublicEditResponse[:payload_member] = GetMeArticlesArticle_idPublicEditResponse.member(:article_content)

    GetMeArticlesArticle_idPublicRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    GetMeArticlesArticle_idPublicRequest.struct_class = Types::GetMeArticlesArticle_idPublicRequest

    GetMeArticlesArticle_idPublicResponse.add_member(:article_content, Shapes::ShapeRef.new(shape: ArticleContent, required: true, location_name: "ArticleContent"))
    GetMeArticlesArticle_idPublicResponse.struct_class = Types::GetMeArticlesArticle_idPublicResponse
    GetMeArticlesArticle_idPublicResponse[:payload] = :article_content
    GetMeArticlesArticle_idPublicResponse[:payload_member] = GetMeArticlesArticle_idPublicResponse.member(:article_content)

    GetMeArticlesDraftsRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "article_id"))
    GetMeArticlesDraftsRequest.add_member(:limit, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "limit"))
    GetMeArticlesDraftsRequest.add_member(:sort_key, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "sort_key"))
    GetMeArticlesDraftsRequest.struct_class = Types::GetMeArticlesDraftsRequest

    GetMeArticlesDraftsResponse.add_member(:array_of_article_info, Shapes::ShapeRef.new(shape: ArrayOfArticleInfo, required: true, location_name: "ArrayOfArticleInfo"))
    GetMeArticlesDraftsResponse.struct_class = Types::GetMeArticlesDraftsResponse
    GetMeArticlesDraftsResponse[:payload] = :array_of_article_info
    GetMeArticlesDraftsResponse[:payload_member] = GetMeArticlesDraftsResponse.member(:array_of_article_info)

    GetMeArticlesPublicRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "article_id"))
    GetMeArticlesPublicRequest.add_member(:limit, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "limit"))
    GetMeArticlesPublicRequest.add_member(:sort_key, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "sort_key"))
    GetMeArticlesPublicRequest.struct_class = Types::GetMeArticlesPublicRequest

    GetMeArticlesPublicResponse.add_member(:array_of_article_info, Shapes::ShapeRef.new(shape: ArrayOfArticleInfo, required: true, location_name: "ArrayOfArticleInfo"))
    GetMeArticlesPublicResponse.struct_class = Types::GetMeArticlesPublicResponse
    GetMeArticlesPublicResponse[:payload] = :array_of_article_info
    GetMeArticlesPublicResponse[:payload_member] = GetMeArticlesPublicResponse.member(:array_of_article_info)

    GetMeInfoRequest.struct_class = Types::GetMeInfoRequest

    GetMeInfoResponse.add_member(:user_info, Shapes::ShapeRef.new(shape: UserInfo, required: true, location_name: "UserInfo"))
    GetMeInfoResponse.struct_class = Types::GetMeInfoResponse
    GetMeInfoResponse[:payload] = :user_info
    GetMeInfoResponse[:payload_member] = GetMeInfoResponse.member(:user_info)

    GetMeNotificationsRequest.struct_class = Types::GetMeNotificationsRequest

    GetMeNotificationsResponse.add_member(:array_of_notification, Shapes::ShapeRef.new(shape: ArrayOfNotification, required: true, location_name: "ArrayOfNotification"))
    GetMeNotificationsResponse.struct_class = Types::GetMeNotificationsResponse
    GetMeNotificationsResponse[:payload] = :array_of_notification
    GetMeNotificationsResponse[:payload_member] = GetMeNotificationsResponse.member(:array_of_notification)

    GetMeUnread_notification_managersRequest.struct_class = Types::GetMeUnread_notification_managersRequest

    GetMeUnread_notification_managersResponse.add_member(:mode_lc_40ebe, Shapes::ShapeRef.new(shape: MODELc40ebe, required: true, location_name: "MODELc40ebe"))
    GetMeUnread_notification_managersResponse.struct_class = Types::GetMeUnread_notification_managersResponse
    GetMeUnread_notification_managersResponse[:payload] = :mode_lc_40ebe
    GetMeUnread_notification_managersResponse[:payload_member] = GetMeUnread_notification_managersResponse.member(:mode_lc_40ebe)

    GetMeWalletBalanceRequest.struct_class = Types::GetMeWalletBalanceRequest

    GetMeWalletBalanceResponse.add_member(:me_wallet_balance, Shapes::ShapeRef.new(shape: MeWalletBalance, required: true, location_name: "MeWalletBalance"))
    GetMeWalletBalanceResponse.struct_class = Types::GetMeWalletBalanceResponse
    GetMeWalletBalanceResponse[:payload] = :me_wallet_balance
    GetMeWalletBalanceResponse[:payload_member] = GetMeWalletBalanceResponse.member(:me_wallet_balance)

    GetUsersUser_idArticlesPublicRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "article_id"))
    GetUsersUser_idArticlesPublicRequest.add_member(:limit, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "limit"))
    GetUsersUser_idArticlesPublicRequest.add_member(:sort_key, Shapes::ShapeRef.new(shape: string, location: "querystring", location_name: "sort_key"))
    GetUsersUser_idArticlesPublicRequest.add_member(:user_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "user_id"))
    GetUsersUser_idArticlesPublicRequest.struct_class = Types::GetUsersUser_idArticlesPublicRequest

    GetUsersUser_idArticlesPublicResponse.add_member(:array_of_article_info, Shapes::ShapeRef.new(shape: ArrayOfArticleInfo, required: true, location_name: "ArrayOfArticleInfo"))
    GetUsersUser_idArticlesPublicResponse.struct_class = Types::GetUsersUser_idArticlesPublicResponse
    GetUsersUser_idArticlesPublicResponse[:payload] = :array_of_article_info
    GetUsersUser_idArticlesPublicResponse[:payload_member] = GetUsersUser_idArticlesPublicResponse.member(:array_of_article_info)

    GetUsersUser_idInfoRequest.add_member(:user_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "user_id"))
    GetUsersUser_idInfoRequest.struct_class = Types::GetUsersUser_idInfoRequest

    GetUsersUser_idInfoResponse.add_member(:user_info, Shapes::ShapeRef.new(shape: UserInfo, required: true, location_name: "UserInfo"))
    GetUsersUser_idInfoResponse.struct_class = Types::GetUsersUser_idInfoResponse
    GetUsersUser_idInfoResponse[:payload] = :user_info
    GetUsersUser_idInfoResponse[:payload_member] = GetUsersUser_idInfoResponse.member(:user_info)

    MODEL69304a.add_member(:alistoken, Shapes::ShapeRef.new(shape: double, location_name: "alistoken"))
    MODEL69304a.struct_class = Types::MODEL69304a

    MODEL84cbde.add_member(:liked, Shapes::ShapeRef.new(shape: boolean, location_name: "liked"))
    MODEL84cbde.struct_class = Types::MODEL84cbde

    MODELa08eaf.add_member(:image_url, Shapes::ShapeRef.new(shape: string, location_name: "image_url"))
    MODELa08eaf.struct_class = Types::MODELa08eaf

    MODELc40ebe.add_member(:unread, Shapes::ShapeRef.new(shape: boolean, location_name: "unread"))
    MODELc40ebe.struct_class = Types::MODELc40ebe

    MODELcde73d.add_member(:article_id, Shapes::ShapeRef.new(shape: string, location_name: "article_id"))
    MODELcde73d.struct_class = Types::MODELcde73d

    MODELd06bfe.add_member(:image_url, Shapes::ShapeRef.new(shape: string, location_name: "image_url"))
    MODELd06bfe.struct_class = Types::MODELd06bfe

    MODELd25993.add_member(:count, Shapes::ShapeRef.new(shape: double, location_name: "count"))
    MODELd25993.struct_class = Types::MODELd25993

    MeArticlesDraftsCreate.add_member(:body, Shapes::ShapeRef.new(shape: string, location_name: "body"))
    MeArticlesDraftsCreate.add_member(:eye_catch_url, Shapes::ShapeRef.new(shape: string, location_name: "eye_catch_url"))
    MeArticlesDraftsCreate.add_member(:overview, Shapes::ShapeRef.new(shape: string, location_name: "overview"))
    MeArticlesDraftsCreate.add_member(:title, Shapes::ShapeRef.new(shape: string, location_name: "title"))
    MeArticlesDraftsCreate.struct_class = Types::MeArticlesDraftsCreate

    MeInfoIcon.add_member(:icon_image, Shapes::ShapeRef.new(shape: string, location_name: "icon_image"))
    MeInfoIcon.struct_class = Types::MeInfoIcon

    MeInfoUpdate.add_member(:self_introduction, Shapes::ShapeRef.new(shape: string, location_name: "self_introduction"))
    MeInfoUpdate.add_member(:user_display_name, Shapes::ShapeRef.new(shape: string, location_name: "user_display_name"))
    MeInfoUpdate.struct_class = Types::MeInfoUpdate

    MeWalletBalance.add_member(:private_eth_address, Shapes::ShapeRef.new(shape: string, location_name: "private_eth_address"))
    MeWalletBalance.struct_class = Types::MeWalletBalance

    Notification.add_member(:acted_user_id, Shapes::ShapeRef.new(shape: string, location_name: "acted_user_id"))
    Notification.add_member(:created_at, Shapes::ShapeRef.new(shape: integer, location_name: "created_at"))
    Notification.add_member(:sort_key, Shapes::ShapeRef.new(shape: integer, location_name: "sort_key"))
    Notification.add_member(:type, Shapes::ShapeRef.new(shape: string, location_name: "type"))
    Notification.add_member(:user_id, Shapes::ShapeRef.new(shape: string, location_name: "user_id"))
    Notification.struct_class = Types::Notification

    PostMeArticlesArticle_idFraudRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    PostMeArticlesArticle_idFraudRequest.struct_class = Types::PostMeArticlesArticle_idFraudRequest

    PostMeArticlesArticle_idFraudResponse.struct_class = Types::PostMeArticlesArticle_idFraudResponse

    PostMeArticlesArticle_idImagesRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    PostMeArticlesArticle_idImagesRequest.add_member(:article_image, Shapes::ShapeRef.new(shape: ArticleImage, required: true, location_name: "ArticleImage"))
    PostMeArticlesArticle_idImagesRequest.struct_class = Types::PostMeArticlesArticle_idImagesRequest
    PostMeArticlesArticle_idImagesRequest[:payload] = :article_image
    PostMeArticlesArticle_idImagesRequest[:payload_member] = PostMeArticlesArticle_idImagesRequest.member(:article_image)

    PostMeArticlesArticle_idImagesResponse.add_member(:mode_ld_06bfe, Shapes::ShapeRef.new(shape: MODELd06bfe, required: true, location_name: "MODELd06bfe"))
    PostMeArticlesArticle_idImagesResponse.struct_class = Types::PostMeArticlesArticle_idImagesResponse
    PostMeArticlesArticle_idImagesResponse[:payload] = :mode_ld_06bfe
    PostMeArticlesArticle_idImagesResponse[:payload_member] = PostMeArticlesArticle_idImagesResponse.member(:mode_ld_06bfe)

    PostMeArticlesArticle_idLikeRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    PostMeArticlesArticle_idLikeRequest.struct_class = Types::PostMeArticlesArticle_idLikeRequest

    PostMeArticlesArticle_idLikeResponse.struct_class = Types::PostMeArticlesArticle_idLikeResponse

    PostMeArticlesArticle_idPvRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    PostMeArticlesArticle_idPvRequest.struct_class = Types::PostMeArticlesArticle_idPvRequest

    PostMeArticlesArticle_idPvResponse.struct_class = Types::PostMeArticlesArticle_idPvResponse

    PostMeArticlesDraftsRequest.add_member(:me_articles_drafts_create, Shapes::ShapeRef.new(shape: MeArticlesDraftsCreate, required: true, location_name: "MeArticlesDraftsCreate"))
    PostMeArticlesDraftsRequest.struct_class = Types::PostMeArticlesDraftsRequest
    PostMeArticlesDraftsRequest[:payload] = :me_articles_drafts_create
    PostMeArticlesDraftsRequest[:payload_member] = PostMeArticlesDraftsRequest.member(:me_articles_drafts_create)

    PostMeArticlesDraftsResponse.add_member(:mode_lcde_73d, Shapes::ShapeRef.new(shape: MODELcde73d, required: true, location_name: "MODELcde73d"))
    PostMeArticlesDraftsResponse.struct_class = Types::PostMeArticlesDraftsResponse
    PostMeArticlesDraftsResponse[:payload] = :mode_lcde_73d
    PostMeArticlesDraftsResponse[:payload_member] = PostMeArticlesDraftsResponse.member(:mode_lcde_73d)

    PostMeInfoIconRequest.add_member(:me_info_icon, Shapes::ShapeRef.new(shape: MeInfoIcon, required: true, location_name: "MeInfoIcon"))
    PostMeInfoIconRequest.struct_class = Types::PostMeInfoIconRequest
    PostMeInfoIconRequest[:payload] = :me_info_icon
    PostMeInfoIconRequest[:payload_member] = PostMeInfoIconRequest.member(:me_info_icon)

    PostMeInfoIconResponse.add_member(:mode_la_08eaf, Shapes::ShapeRef.new(shape: MODELa08eaf, required: true, location_name: "MODELa08eaf"))
    PostMeInfoIconResponse.struct_class = Types::PostMeInfoIconResponse
    PostMeInfoIconResponse[:payload] = :mode_la_08eaf
    PostMeInfoIconResponse[:payload_member] = PostMeInfoIconResponse.member(:mode_la_08eaf)

    PutMeArticlesArticle_idDraftsPublishRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    PutMeArticlesArticle_idDraftsPublishRequest.struct_class = Types::PutMeArticlesArticle_idDraftsPublishRequest

    PutMeArticlesArticle_idDraftsPublishResponse.struct_class = Types::PutMeArticlesArticle_idDraftsPublishResponse

    PutMeArticlesArticle_idDraftsRequest.add_member(:me_articles_drafts_create, Shapes::ShapeRef.new(shape: MeArticlesDraftsCreate, required: true, location_name: "MeArticlesDraftsCreate"))
    PutMeArticlesArticle_idDraftsRequest.struct_class = Types::PutMeArticlesArticle_idDraftsRequest
    PutMeArticlesArticle_idDraftsRequest[:payload] = :me_articles_drafts_create
    PutMeArticlesArticle_idDraftsRequest[:payload_member] = PutMeArticlesArticle_idDraftsRequest.member(:me_articles_drafts_create)

    PutMeArticlesArticle_idDraftsResponse.struct_class = Types::PutMeArticlesArticle_idDraftsResponse

    PutMeArticlesArticle_idPublicRepublishRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    PutMeArticlesArticle_idPublicRepublishRequest.struct_class = Types::PutMeArticlesArticle_idPublicRepublishRequest

    PutMeArticlesArticle_idPublicRepublishResponse.struct_class = Types::PutMeArticlesArticle_idPublicRepublishResponse

    PutMeArticlesArticle_idPublicRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    PutMeArticlesArticle_idPublicRequest.add_member(:update_article, Shapes::ShapeRef.new(shape: UpdateArticle, required: true, location_name: "UpdateArticle"))
    PutMeArticlesArticle_idPublicRequest.struct_class = Types::PutMeArticlesArticle_idPublicRequest
    PutMeArticlesArticle_idPublicRequest[:payload] = :update_article
    PutMeArticlesArticle_idPublicRequest[:payload_member] = PutMeArticlesArticle_idPublicRequest.member(:update_article)

    PutMeArticlesArticle_idPublicResponse.struct_class = Types::PutMeArticlesArticle_idPublicResponse

    PutMeArticlesArticle_idPublicUnpublishRequest.add_member(:article_id, Shapes::ShapeRef.new(shape: string, required: true, location: "uri", location_name: "article_id"))
    PutMeArticlesArticle_idPublicUnpublishRequest.struct_class = Types::PutMeArticlesArticle_idPublicUnpublishRequest

    PutMeArticlesArticle_idPublicUnpublishResponse.struct_class = Types::PutMeArticlesArticle_idPublicUnpublishResponse

    PutMeInfoRequest.add_member(:me_info_update, Shapes::ShapeRef.new(shape: MeInfoUpdate, required: true, location_name: "MeInfoUpdate"))
    PutMeInfoRequest.struct_class = Types::PutMeInfoRequest
    PutMeInfoRequest[:payload] = :me_info_update
    PutMeInfoRequest[:payload_member] = PutMeInfoRequest.member(:me_info_update)

    PutMeInfoResponse.struct_class = Types::PutMeInfoResponse

    PutMeUnread_notification_managersRequest.struct_class = Types::PutMeUnread_notification_managersRequest

    PutMeUnread_notification_managersResponse.struct_class = Types::PutMeUnread_notification_managersResponse

    UpdateArticle.add_member(:body, Shapes::ShapeRef.new(shape: string, location_name: "body"))
    UpdateArticle.add_member(:eye_catch_url, Shapes::ShapeRef.new(shape: string, location_name: "eye_catch_url"))
    UpdateArticle.add_member(:overview, Shapes::ShapeRef.new(shape: string, location_name: "overview"))
    UpdateArticle.add_member(:title, Shapes::ShapeRef.new(shape: string, location_name: "title"))
    UpdateArticle.struct_class = Types::UpdateArticle

    UserInfo.add_member(:icon_image_url, Shapes::ShapeRef.new(shape: string, location_name: "icon_image_url"))
    UserInfo.add_member(:self_introduction, Shapes::ShapeRef.new(shape: string, location_name: "self_introduction"))
    UserInfo.add_member(:user_display_name, Shapes::ShapeRef.new(shape: string, location_name: "user_display_name"))
    UserInfo.add_member(:user_id, Shapes::ShapeRef.new(shape: string, location_name: "user_id"))
    UserInfo.struct_class = Types::UserInfo


    # @api private
    API = Seahorse::Model::Api.new.tap do |api|

      api.version = "1.0.0"

      api.metadata = {
        "protocol" => "api-gateway",
      }

      api.add_operation(:get_articles_article_id, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetArticlesArticle_id"
        o.http_method = "GET"
        o.http_request_uri = "/api/articles/{article_id}"
        o['authtype'] = "none"
        o.input = Shapes::ShapeRef.new(shape: GetArticlesArticle_idRequest)
        o.output = Shapes::ShapeRef.new(shape: GetArticlesArticle_idResponse)
      end)

      api.add_operation(:get_articles_article_id_alistoken, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetArticlesArticle_idAlistoken"
        o.http_method = "GET"
        o.http_request_uri = "/api/articles/{article_id}/alistoken"
        o['authtype'] = "none"
        o.input = Shapes::ShapeRef.new(shape: GetArticlesArticle_idAlistokenRequest)
        o.output = Shapes::ShapeRef.new(shape: GetArticlesArticle_idAlistokenResponse)
      end)

      api.add_operation(:get_articles_article_id_likes, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetArticlesArticle_idLikes"
        o.http_method = "GET"
        o.http_request_uri = "/api/articles/{article_id}/likes"
        o['authtype'] = "none"
        o.input = Shapes::ShapeRef.new(shape: GetArticlesArticle_idLikesRequest)
        o.output = Shapes::ShapeRef.new(shape: GetArticlesArticle_idLikesResponse)
      end)

      api.add_operation(:get_articles_popular, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetArticlesPopular"
        o.http_method = "GET"
        o.http_request_uri = "/api/articles/popular"
        o['authtype'] = "none"
        o.input = Shapes::ShapeRef.new(shape: GetArticlesPopularRequest)
        o.output = Shapes::ShapeRef.new(shape: GetArticlesPopularResponse)
      end)

      api.add_operation(:get_articles_recent, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetArticlesRecent"
        o.http_method = "GET"
        o.http_request_uri = "/api/articles/recent"
        o['authtype'] = "none"
        o.input = Shapes::ShapeRef.new(shape: GetArticlesRecentRequest)
        o.output = Shapes::ShapeRef.new(shape: GetArticlesRecentResponse)
      end)

      api.add_operation(:get_me_articles_article_id_drafts, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeArticlesArticle_idDrafts"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/articles/{article_id}/drafts"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeArticlesArticle_idDraftsRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeArticlesArticle_idDraftsResponse)
      end)

      api.add_operation(:get_me_articles_article_id_like, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeArticlesArticle_idLike"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/articles/{article_id}/like"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeArticlesArticle_idLikeRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeArticlesArticle_idLikeResponse)
      end)

      api.add_operation(:get_me_articles_article_id_public, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeArticlesArticle_idPublic"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/articles/{article_id}/public"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeArticlesArticle_idPublicRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeArticlesArticle_idPublicResponse)
      end)

      api.add_operation(:get_me_articles_article_id_public_edit, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeArticlesArticle_idPublicEdit"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/articles/{article_id}/public/edit"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeArticlesArticle_idPublicEditRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeArticlesArticle_idPublicEditResponse)
      end)

      api.add_operation(:get_me_articles_drafts, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeArticlesDrafts"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/articles/drafts"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeArticlesDraftsRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeArticlesDraftsResponse)
      end)

      api.add_operation(:get_me_articles_public, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeArticlesPublic"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/articles/public"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeArticlesPublicRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeArticlesPublicResponse)
      end)

      api.add_operation(:get_me_info, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeInfo"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/info"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeInfoRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeInfoResponse)
      end)

      api.add_operation(:get_me_notifications, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeNotifications"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/notifications"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeNotificationsRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeNotificationsResponse)
      end)

      api.add_operation(:get_me_unread_notification_managers, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeUnread_notification_managers"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/unread_notification_managers"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeUnread_notification_managersRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeUnread_notification_managersResponse)
      end)

      api.add_operation(:get_me_wallet_balance, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetMeWalletBalance"
        o.http_method = "GET"
        o.http_request_uri = "/api/me/wallet/balance"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: GetMeWalletBalanceRequest)
        o.output = Shapes::ShapeRef.new(shape: GetMeWalletBalanceResponse)
      end)

      api.add_operation(:get_users_user_id_articles_public, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetUsersUser_idArticlesPublic"
        o.http_method = "GET"
        o.http_request_uri = "/api/users/{user_id}/articles/public"
        o['authtype'] = "none"
        o.input = Shapes::ShapeRef.new(shape: GetUsersUser_idArticlesPublicRequest)
        o.output = Shapes::ShapeRef.new(shape: GetUsersUser_idArticlesPublicResponse)
      end)

      api.add_operation(:get_users_user_id_info, Seahorse::Model::Operation.new.tap do |o|
        o.name = "GetUsersUser_idInfo"
        o.http_method = "GET"
        o.http_request_uri = "/api/users/{user_id}/info"
        o['authtype'] = "none"
        o.input = Shapes::ShapeRef.new(shape: GetUsersUser_idInfoRequest)
        o.output = Shapes::ShapeRef.new(shape: GetUsersUser_idInfoResponse)
      end)

      api.add_operation(:post_me_articles_article_id_fraud, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PostMeArticlesArticle_idFraud"
        o.http_method = "POST"
        o.http_request_uri = "/api/me/articles/{article_id}/fraud"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PostMeArticlesArticle_idFraudRequest)
        o.output = Shapes::ShapeRef.new(shape: PostMeArticlesArticle_idFraudResponse)
      end)

      api.add_operation(:post_me_articles_article_id_images, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PostMeArticlesArticle_idImages"
        o.http_method = "POST"
        o.http_request_uri = "/api/me/articles/{article_id}/images"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PostMeArticlesArticle_idImagesRequest)
        o.output = Shapes::ShapeRef.new(shape: PostMeArticlesArticle_idImagesResponse)
      end)

      api.add_operation(:post_me_articles_article_id_like, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PostMeArticlesArticle_idLike"
        o.http_method = "POST"
        o.http_request_uri = "/api/me/articles/{article_id}/like"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PostMeArticlesArticle_idLikeRequest)
        o.output = Shapes::ShapeRef.new(shape: PostMeArticlesArticle_idLikeResponse)
      end)

      api.add_operation(:post_me_articles_article_id_pv, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PostMeArticlesArticle_idPv"
        o.http_method = "POST"
        o.http_request_uri = "/api/me/articles/{article_id}/pv"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PostMeArticlesArticle_idPvRequest)
        o.output = Shapes::ShapeRef.new(shape: PostMeArticlesArticle_idPvResponse)
      end)

      api.add_operation(:post_me_articles_drafts, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PostMeArticlesDrafts"
        o.http_method = "POST"
        o.http_request_uri = "/api/me/articles/drafts"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PostMeArticlesDraftsRequest)
        o.output = Shapes::ShapeRef.new(shape: PostMeArticlesDraftsResponse)
      end)

      api.add_operation(:post_me_info_icon, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PostMeInfoIcon"
        o.http_method = "POST"
        o.http_request_uri = "/api/me/info/icon"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PostMeInfoIconRequest)
        o.output = Shapes::ShapeRef.new(shape: PostMeInfoIconResponse)
      end)

      api.add_operation(:put_me_articles_article_id_drafts, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PutMeArticlesArticle_idDrafts"
        o.http_method = "PUT"
        o.http_request_uri = "/api/me/articles/{article_id}/drafts"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idDraftsRequest)
        o.output = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idDraftsResponse)
      end)

      api.add_operation(:put_me_articles_article_id_drafts_publish, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PutMeArticlesArticle_idDraftsPublish"
        o.http_method = "PUT"
        o.http_request_uri = "/api/me/articles/{article_id}/drafts/publish"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idDraftsPublishRequest)
        o.output = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idDraftsPublishResponse)
      end)

      api.add_operation(:put_me_articles_article_id_public, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PutMeArticlesArticle_idPublic"
        o.http_method = "PUT"
        o.http_request_uri = "/api/me/articles/{article_id}/public"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idPublicRequest)
        o.output = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idPublicResponse)
      end)

      api.add_operation(:put_me_articles_article_id_public_republish, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PutMeArticlesArticle_idPublicRepublish"
        o.http_method = "PUT"
        o.http_request_uri = "/api/me/articles/{article_id}/public/republish"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idPublicRepublishRequest)
        o.output = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idPublicRepublishResponse)
      end)

      api.add_operation(:put_me_articles_article_id_public_unpublish, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PutMeArticlesArticle_idPublicUnpublish"
        o.http_method = "PUT"
        o.http_request_uri = "/api/me/articles/{article_id}/public/unpublish"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idPublicUnpublishRequest)
        o.output = Shapes::ShapeRef.new(shape: PutMeArticlesArticle_idPublicUnpublishResponse)
      end)

      api.add_operation(:put_me_info, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PutMeInfo"
        o.http_method = "PUT"
        o.http_request_uri = "/api/me/info"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PutMeInfoRequest)
        o.output = Shapes::ShapeRef.new(shape: PutMeInfoResponse)
      end)

      api.add_operation(:put_me_unread_notification_managers, Seahorse::Model::Operation.new.tap do |o|
        o.name = "PutMeUnread_notification_managers"
        o.http_method = "PUT"
        o.http_request_uri = "/api/me/unread_notification_managers"
        o.authorizer = "cognitoUserPool"
        o['authtype'] = "custom"
        o.input = Shapes::ShapeRef.new(shape: PutMeUnread_notification_managersRequest)
        o.output = Shapes::ShapeRef.new(shape: PutMeUnread_notification_managersResponse)
      end)

      api.add_authorizer(:cognito_user_pool, Seahorse::Model::Authorizer.new.tap do |a|
        a.name = "cognitoUserPool"
        a.type = "provided"
        a.placement = {
          :location => "header",
          :name => "Authorization"
        }
      end)
    end

  end
end
