require 'aws-sdk-core'
require 'aws-sigv4'

require_relative 'alis-sdk-ruby/types'
require_relative 'alis-sdk-ruby/client_api'
require_relative 'alis-sdk-ruby/client'
require_relative 'alis-sdk-ruby/errors'
require_relative 'alis-sdk-ruby/resource'
require_relative 'alis-sdk-ruby/customizations'

# This module provides support for stagingapi. This module is available in the
# `alis-sdk-ruby` gem.
#
# # Client
#
# The {Client} class provides one method for each API operation. Operation
# methods each accept a hash of request parameters and return a response
# structure.
#
# See {Client} for more information.
#
# # Errors
#
# Errors returned from stagingapi all
# extend {Errors::ServiceError}.
#
#     begin
#       # do stuff
#     rescue AlisSdkRuby::Errors::ServiceError
#       # rescues all service API errors
#     end
#
# See {Errors} for more information.
#
# @service
module AlisSdkRuby

  GEM_VERSION = '0.13.0'

end
